From 27196fc3a315d44891f2711bbfd90d72ebe4364f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Mon, 27 Aug 2018 08:22:10 +0200
Subject: [PATCH] Add option to skip certain pg_dump tests

---
 src/bin/pg_dump/t/002_pg_dump.pl | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/bin/pg_dump/t/002_pg_dump.pl b/src/bin/pg_dump/t/002_pg_dump.pl
index 1dd859f1c5..356a7a3f7a 100644
--- a/src/bin/pg_dump/t/002_pg_dump.pl
+++ b/src/bin/pg_dump/t/002_pg_dump.pl
@@ -1223,6 +1223,7 @@
 			\n(?:\d\n){5}\\\.\n
 			/xms,
 		like => { data_only => 1, },
+		skip => { defaults => 1, },
 	},
 
 	'COPY test_second_table' => {
@@ -3254,6 +3255,7 @@
 	# Then count all the tests run against each run
 	foreach my $test (sort keys %tests)
 	{
+		next if $tests{$test}->{skip}->{$test_key};
 
 		# postgres is the default database, if it isn't overridden
 		my $test_db = 'postgres';
@@ -3415,6 +3417,8 @@
 
 	foreach my $test (sort keys %tests)
 	{
+		next if $tests{$test}->{skip}->{$test_key};
+
 		my $test_db = 'postgres';
 
 		if (defined($pgdump_runs{$run}->{database}))
-- 
2.18.0

